Bug 1008612 - Missing javax.activation.api module
Missing javax.activation.api module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wildfly (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 13:05 EDT by Juan Hernández
Modified: 2013-09-26 20:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: jboss-logging-tools-1.2.0-0.1.Beta1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:35:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2013-09-16 13:05:20 EDT
Description of problem:

This missing javax.activation.api module is used by other modules, RESTEasy for example.


Version-Release number of selected component (if applicable):

wildfly-8.0.0-0.6.Alpha3.fc21.noarch
Comment 1 Marek Goldmann 2013-09-17 07:29:53 EDT
The javax.activation.api module was removed, because the javax.activation.* files are provided by the JDK itself. This is in line with the Fedora guidelines: http://fedoraproject.org/wiki/Packaging:Java#EE_API_List. Here you can find the patch that removes the activation module: https://github.com/fedora-jboss-as/wildfly/commit/a3fbfa634ff1f5a80f8ae265e79866034f9a0875.

If you still need the javax.activation classes - please depend on the javax.api module - this will make the required classes available.
Comment 2 Juan Hernández 2013-09-17 08:13:48 EDT
I think that the module itself can't be removed, as it is required by other JBoss AS modules. Without it those other modules won't be able to use the classes, even if they are part of the JDK. What can be probably done is remove the reference to the .jar file from the module.xml file and replace it with exporting the classes from the JDK, something like this:

<!-- Remove this: -->
<resources>
  <resource-root path="activation-1.1.1.jar"/>
  <!-- Insert resources here -->
</resources>

<!-- Add this to the dependencies: -->
<system export="true">
  <paths>
    <path name="javax/activation"/>
  </paths>
</system>
Comment 3 Juan Hernández 2013-09-17 08:20:28 EDT
I see in the patch that you already did something similar to what I suggest in comment 2, but apparently there are still places where the javax.activation.api module is used:

# fgrep -r javax.activation.api /usr/share/wildfly/modules
/usr/share/wildfly/modules/system/layers/base/javax/activation/api/main/module.xml:<module xmlns="urn:jboss:module:1.1" name="javax.activation.api">
/usr/share/wildfly/modules/system/layers/base/org/jboss/resteasy/resteasy-crypto/main/module.xml:        <module name="javax.activation.api"/>
/usr/share/wildfly/modules/system/layers/base/org/jboss/resteasy/resteasy-client/main/module.xml:        <module name="javax.activation.api"/>
Comment 4 Marek Goldmann 2013-09-17 08:21:58 EDT
It seems these were introduced in WildFly, I'll make changes to these files. This should fix the issue. This will be available in the Alpha4 build.
Comment 5 Fedora Update System 2013-09-18 02:52:52 EDT
jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
Comment 6 Fedora Update System 2013-09-18 13:46:20 EDT
Package jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-logging-tools-1.2.0-0.1.Beta1.fc20 jbossws-cxf-4.2.0-1.fc20 narayana-5.0.0-0.3.M3.fc20 weld-core-2.0.3-1.fc20 qpid-proton-0.5-3.fc20 xml-maven-plugin-1.0-9.fc20 jboss-modules-1.3.0-0.1.Beta3.fc20 jandex-1.1.0-1.fc20 geronimo-validation-1.1-10.fc20 aesh-0.33.7-1.fc20 jansi-1.11-3.fc20 jansi-native-1.5-1.fc20 undertow-1.0.0-0.4.Beta7.fc20 jboss-logmanager-1.5.1-1.fc20 jboss-parent-11-1.fc20 hornetq-2.4.0-0.1.Beta1.fc20 jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20 jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20 wildfly-8.0.0-0.9.Alpha4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17102/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-26 20:35:49 EDT
jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.